Package ghidra.pcode.emu.jit.gen.tgt

# Class JitCompiledPassage.EntryPointPrototype

java.lang.Object
ghidra.pcode.emu.jit.gen.tgt.JitCompiledPassage.EntryPointPrototype

Enclosing interface:
  `JitCompiledPassage`

public static class JitCompiledPassage.EntryPointPrototype extends Object
An entry point that is not yet bound to a specific thread

Implementation Notes:
  This would be a `record` except that it maintains the cache of instances per thread

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntryPointPrototype(JitCompiledPassageClass cls, int blockId)`
  Construct an entry prototype

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JitCompiledPassage.EntryPoint`
  `createInstance(JitPcodeThread thread)`
  Create (or get) the entry point for the given thread
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EntryPointPrototype

    public EntryPointPrototype(JitCompiledPassageClass cls, int blockId)
    Construct an entry prototype
    Parameters:
      `cls` - the compiled passage class (i.e., passage not yet bound to a specific thread)
      `blockId` - the block at which to enter the passage

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### createInstance

    public JitCompiledPassage.EntryPoint createInstance(JitPcodeThread thread)
    Create (or get) the entry point for the given thread
    Parameters:
      `thread` - the thread to bind to the entry point
    Returns:
      the resulting entry point
    See Also:
      - `JitPcodeThread.getEntry(AddrCtx)`